package com.yihu.hos.resource.model;

/**
 * RsDatasourceDataset entity. @author MyEclipse Persistence Tools
 */

public class RsDatasourceDataset implements java.io.Serializable {

	// Fields

	private String id;
	private String datasetId;
	private String datasourceId;
	private String stdId;
	private String stdVersion;
	private String orgId;

	// Constructors

	/** default constructor */
	public RsDatasourceDataset() {
	}

	/** minimal constructor */
	public RsDatasourceDataset(String datasetId, String datasourceId) {
		this.datasetId = datasetId;
		this.datasourceId = datasourceId;
	}

	/** full constructor */
	public RsDatasourceDataset(String datasetId, String datasourceId, String stdId, String stdVersion) {
		this.datasetId = datasetId;
		this.datasourceId = datasourceId;
		this.stdId = stdId;
		this.stdVersion = stdVersion;
	}

	// Property accessors

	public String getId() {
		return this.id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getDatasetId() {
		return this.datasetId;
	}

	public void setDatasetId(String datasetId) {
		this.datasetId = datasetId;
	}

	public String getDatasourceId() {
		return this.datasourceId;
	}

	public void setDatasourceId(String datasourceId) {
		this.datasourceId = datasourceId;
	}

	public String getStdId() {
		return stdId;
	}

	public void setStdId(String stdId) {
		this.stdId = stdId;
	}

	public String getStdVersion() {
		return stdVersion;
	}

	public void setStdVersion(String stdVersion) {
		this.stdVersion = stdVersion;
	}

	public String getOrgId() {
		return orgId;
	}

	public void setOrgId(String orgId) {
		this.orgId = orgId;
	}
}